package com.yutou.bilibili.BiliBili.Datas;

import lombok.Data;

import java.util.Date;

@Data
public class DanmuData {
    private int id;
    private int model;//1～3 滚动弹幕 4 底端弹幕 5 顶端弹幕 6 逆向弹幕 7 精准定位 8 高级弹幕
    private int fontSize;
    private int fontColor;
    private long time;
    private String uCode;
    private String danmu;
    private int uid;
    private String uname;

    public Date getTimeDate(){
        return new Date(time);
    }
    public String getFontColorHex(){
        return Integer.toHexString(fontColor);
    }
}
